import { check } from "express-validator";
import { validateResult } from "../../utils/handlers/validator.handle";
import { AbstractValidator } from "../abstract.validator";

export class SocialNetworkProvidersValidator extends AbstractValidator {
  constructor() {
    super();
  }
  createItem() {
    return [
      check("name").exists().isString(),
      check("cover").exists().isString(),
      check("description").exists().isString(),
      check("template").exists().isString(),
      (req, res, next) => {
        validateResult(req, res, next);
      },
    ];
  }
  updateItem() {
    return [
      check("_id").exists().isMongoId(),
      check("name").exists().isString(),
      check("cover").exists().isString(),
      check("description").exists().isString(),
      check("template").exists().isString(),
      (req, res, next) => {
        validateResult(req, res, next);
      },
    ];
  }
}
